Berkeley DB version 4.2.52

## com.sleepycat.bdb
Class RecordNumberBinding

    java.lang.Object
      |
      +--com.sleepycat.bdb.RecordNumberBinding

All Implemented Interfaces:
  DataBinding

public class RecordNumberBinding
extends Object
implements DataBinding

A concrete binding for record number keys. Record numbers are returned as Long objects, although on input any Number object may be used.

Constructor Summary
`RecordNumberBinding(RecordNumberFormat format)` Creates a byte array binding.

Method Summary
`Object` `dataToObject(DataBuffer data)` Converts a data buffer into an Object.
`DataFormat` `getDataFormat()` Returns the format used for the data of this binding.
`void` `objectToData(Object object, DataBuffer data)` Converts an Object into a data buffer.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecordNumberBinding

    public RecordNumberBinding(RecordNumberFormat format)

  Creates a byte array binding.

Parameters:
  `format` - is the format of the new binding.

Method Detail

### getDataFormat

    public DataFormat getDataFormat()

  Description copied from interface: `DataBinding`
  Returns the format used for the data of this binding.

  Specified by:
    `getDataFormat` in interface `DataBinding`
  Returns:
    the data format.

### dataToObject

    public Object dataToObject(DataBuffer data)
                        throws IOException

  Description copied from interface: `DataBinding`
  Converts a data buffer into an Object.

  Specified by:
    `dataToObject` in interface `DataBinding`
  Parameters:
    `data` - is the source data buffer.
  Returns:
    the resulting Object.
    `IOException`

### objectToData

    public void objectToData(Object object,
                             DataBuffer data)
                      throws IOException

  Description copied from interface: `DataBinding`
  Converts an Object into a data buffer.

  Specified by:
    `objectToData` in interface `DataBinding`
  Parameters:
    `object` - is the source Object.
    `data` - is the destination data buffer.
    `IOException`

Berkeley DB version 4.2.52

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.